[Pkg-javascript-commits] [node-umd] 18/18: Fix test suite
Bastien Roucariès
rouca at moszumanska.debian.org
Mon Apr 17 07:38:19 UTC 2017
This is an automated email from the git hooks/post-receive script.
rouca pushed a commit to tag debian-3.0.1+ds-1
in repository node-umd.
commit 5bb99d08b2421b33a8897d0f787f191f1a61145e
Author: Bastien ROUCARIÈS <roucaries.bastien at gmail.com>
Date: Fri Apr 14 16:03:10 2017 +0200
Fix test suite
---
debian/tests/runtestsuite | 11 ++++++-----
1 file changed, 6 insertions(+), 5 deletions(-)
diff --git a/debian/tests/runtestsuite b/debian/tests/runtestsuite
index dc65a90..0072f91 100755
--- a/debian/tests/runtestsuite
+++ b/debian/tests/runtestsuite
@@ -1,14 +1,15 @@
#!/bin/sh
set -e
# notice the / at end in order to load this module
-PACKAGE='umd/'
+PACKAGE='umd'
SEDCMD="s,require\s*[(]\s*'[.][.][^']*'\s*[)],require('$PACKAGE'),g"
tmpdir=$(mktemp -d)
trap 'rm -rf "$tmpdir"' EXIT INT TERM HUP
-cp -r tests $tmpdir
-find tests/ -maxdepth 1 -name '*.js' -print0 | \
+cp -r test $tmpdir
+find test -maxdepth 1 -name '*.js' -print0 | \
xargs -0 -n1 \
- sh -c 'set -e; echo "TESTING: $3"; sed $1 < $3 > $2/$3; tape "$2/$3"' sedtape "$SEDCMD" "$tmpdir"
-mocha -R spec $tmpdir/tests
+ sh -c 'set -e; echo "TESTING: $3"; sed "$1" < "$3" > "$2/$3"' sedcmd "$SEDCMD" "$tmpdir"
+
+mocha -R spec "$tmpdir/test/"
--
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/pkg-javascript/node-umd.git
More information about the Pkg-javascript-commits
mailing list